LPCOpen Platform for LPC18XX/43XX microcontrollers: LCD_CONFIG_T Struct Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
LCD_CONFIG_T Struct Reference
CHIP: LPC18xx/43xx LCD driver

## Detailed Description

A structure for LCD Configuration.

Definition at line 122 of file lcd_18xx_43xx.h.

`#include "lcd_18xx_43xx.h"`

## Data Fields
uint8_t | HBP
uint8_t | HFP
uint8_t | HSW
uint16_t | PPL
uint8_t | VBP
uint8_t | VFP
uint8_t | VSW
uint16_t | LPP
uint8_t | IOE
uint8_t | IPC
uint8_t | IHS
uint8_t | IVS
uint8_t | ACB
uint8_t | BPP
LCD_PANEL_OPT_T | LCD
LCD_COLOR_FORMAT_OPT_T | color_format
uint8_t | Dual

## Field Documentation

uint8_t ACB

AC bias frequency in clocks (not used)

Definition at line 135 of file lcd_18xx_43xx.h.

uint8_t BPP

Maximum bits per pixel the display supports

Definition at line 136 of file lcd_18xx_43xx.h.

LCD_COLOR_FORMAT_OPT_T color_format

BGR or RGB

Definition at line 138 of file lcd_18xx_43xx.h.

uint8_t Dual

Dual panel, 1 = dual panel display

Definition at line 139 of file lcd_18xx_43xx.h.

uint8_t HBP

Horizontal back porch in clocks

Definition at line 123 of file lcd_18xx_43xx.h.

uint8_t HFP

Horizontal front porch in clocks

Definition at line 124 of file lcd_18xx_43xx.h.

uint8_t HSW

HSYNC pulse width in clocks

Definition at line 125 of file lcd_18xx_43xx.h.

uint8_t IHS

Invert HSYNC, 1 = invert

Definition at line 133 of file lcd_18xx_43xx.h.

uint8_t IOE

Invert output enable, 1 = invert

Definition at line 131 of file lcd_18xx_43xx.h.

uint8_t IPC

Invert panel clock, 1 = invert

Definition at line 132 of file lcd_18xx_43xx.h.

uint8_t IVS

Invert VSYNC, 1 = invert

Definition at line 134 of file lcd_18xx_43xx.h.

LCD_PANEL_OPT_T LCD

LCD panel type

Definition at line 137 of file lcd_18xx_43xx.h.

uint16_t LPP

Lines per panel

Definition at line 130 of file lcd_18xx_43xx.h.

uint16_t PPL

Pixels per line

Definition at line 126 of file lcd_18xx_43xx.h.

uint8_t VBP

Vertical back porch in clocks

Definition at line 127 of file lcd_18xx_43xx.h.

uint8_t VFP

Vertical front porch in clocks

Definition at line 128 of file lcd_18xx_43xx.h.

uint8_t VSW

VSYNC pulse width in clocks

Definition at line 129 of file lcd_18xx_43xx.h.

The documentation for this struct was generated from the following file:

- C:/w/lpcopen_docs/software/lpc_core/lpc_chip/chip_18xx_43xx/lcd_18xx_43xx.h